from interfaces.erc20 import ERC20Contract


USDT_CONTRACT_ADDRESS = '0xdac17f958d2ee523a2206206994597c13d831ec7'
USDT_CONTRACT_NAME = 'USDT'
REQUIRED_USDT_GAS_TRANSFER = 58100
REQUIRED_USDT_GAS_TRANSFER_NEW_ACCOUNT = 100000

tether_contract = ERC20Contract(
    USDT_CONTRACT_ADDRESS,
    required_gas_transfer=REQUIRED_USDT_GAS_TRANSFER,
    required_gas_transfer_new_account=REQUIRED_USDT_GAS_TRANSFER_NEW_ACCOUNT,
    contract_name=USDT_CONTRACT_NAME
)
