from interfaces.erc20 import ERC20Contract


USDC_CONTRACT_ADDRESS = '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
USDC_CONTRACT_NAME = 'USDC'
REQUIRED_USDC_GAS_TRANSFER = 58100
REQUIRED_USDC_GAS_TRANSFER_NEW_ACCOUNT = 100000

usdc_contract = ERC20Contract(
    USDC_CONTRACT_ADDRESS,
    required_gas_transfer=REQUIRED_USDC_GAS_TRANSFER,
    required_gas_transfer_new_account=REQUIRED_USDC_GAS_TRANSFER_NEW_ACCOUNT,
    contract_name=USDC_CONTRACT_NAME
)
