import setuptools


with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="kuailian-blockchain",
    version="0.0.6",
    author="Kuailian",
    author_email="Kuailian@example.com",
    description="Blockchain interfaces",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://bitbucket.org/ouadreams/kuailian-blockchain/",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.7',
    install_requires=[
        'web3==5.8.0',
        'django-encrypted-model-fields==0.5.8',
        'django-constance[database]==2.6.0',
        'django-extensions==2.2.9',
        'pytezos==2.5.11',
        'python-ripple-lib==1.0.8',
        'python-bitcoinlib==0.11.0',
        'cashaddress==1.0.6',
        'bitcoincash==0.1.5',
        'privex-helpers==2.11.0',
        'privex-jsonrpc==1.2.0',
        'eth-utils==1.9.5',
        'django-phonenumber-field[phonenumberslite]==4.0.0',
        'django-countries==6.1.2',
    ]
)
